create procedure addmatch( @ftid int, @stid int, @result char(1), @mdate datetime,
     @venue varchar(30), @umpire1 varchar(30), @umpire2 varchar(30))
as
declare @mid int
  set XACT_ABORT on
  begin tran
  select @mid = isnull( max(mid),0) + 1  from matches;
  insert into matches values( @mid, @mdate,@venue,@umpire1, @umpire2);

  /* insert into teammatches */
  
  insert into teammatches values(@mid, @ftid, @result);
  
  insert into teammatches values(@mid, @stid, case @result 
                                                when 'w' then 'l'
                                                when 'l' then 'w'
                                                else  'd'
                                             end);
  /* update teams tables */
  if  @result = 'w' 
    begin
         update teams  set points = points + 3 , won = won + 1 , matches = matches + 1
         where  tid = @ftid

         update teams  set  lost = lost + 1 , matches = matches + 1
         where  tid = @stid
    end
  else
    if  @result = 'l' 
      begin
         update teams  set  lost = lost + 1 , matches = matches + 1
         where  tid = @ftid

         update teams  set points = points + 3 , won = won + 1 , matches = matches + 1
         where  tid = @stid
      end
     else   /* draw */
       begin
         update teams  set  draw = draw + 1 , matches = matches + 1
         where  tid = @ftid

         update teams  set  draw = draw + 1 , matches = matches + 1
         where  tid = @stid
      end
      commit tran






execute addmatch 1,2,'w','9-22-05','ACA-VMC','Ajay','Jhon'

         








